<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="xclear">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>xclear</refname>
    <refpurpose> efface une fenêtre graphique.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>xclear([window-id])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>window-id  </term>
        <listitem>
          <para>entier ou vecteur d'entiers
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Sans argument, cette fonction efface la figure graphique courante en rendant invisible ses enfants..
    Sinon elle efface les fenêtres graphiques dont les numéros sont donnés dans le vecteur <literal>window-id</literal>. Par exemple <literal>xclear(1:3)</literal> efface les fenêtres 1, 2 et 3.
    Si une des fenêtres n'existe pas, elle est automatiquement créée.
  </para>
    <para>
		La fonction <literal>xclear</literal> est obsolète.
		Pour effacer une figure graphique, la fonction <literal>clf</literal> ou la prorpiété <literal>visible</literal> peuvent être utilisées.
	</para>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="clf">clf</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <para>J.Ph.C.  </para>
  </refsection>
</refentry>
